> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bundleup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connection credentials

> Returns decrypted access token metadata for a connection.



## OpenAPI

````yaml https://api.bundleup.io/v1/openapi.yml get /connections/{id}/credentials
openapi: 3.1.0
info:
  title: BundleUp API
  description: >-
    REST API for managing integrations, connections, and webhooks in a BundleUp
    workspace.
  version: 1.0.0
  contact:
    name: BundleUp Support
    url: https://www.bundleup.io
    email: support@bundleup.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.bundleup.io/v1
    description: Production API
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Integrations
    description: Integration discovery operations
  - name: Connections
    description: Connection management operations
  - name: Webhooks
    description: Webhook management operations
paths:
  /connections/{id}/credentials:
    get:
      tags:
        - Connections
      summary: Get connection credentials
      description: Returns decrypted access token metadata for a connection.
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Connection credentials retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionCredentials'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      description: Resource identifier.
      schema:
        type: string
  schemas:
    ConnectionCredentials:
      type: object
      additionalProperties: false
      properties:
        access_token:
          type: string
          description: Decrypted access token.
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - access_token
        - expires_at
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        success:
          type: boolean
          const: false
        message:
          type: string
      required:
        - success
        - message
  responses:
    Unauthorized:
      description: Missing or invalid API credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Pass the API key as a bearer token.
    basicAuth:
      type: http
      scheme: basic
      description: Pass any username and the API key as the password.

````